Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Equal_To< TYPE > Class Template Reference

Function object for comparing two objects of the given type for equality. More...

`#include <Functor_T.h>`

List of all members.

## Public Member Functions
bool | operator() (const TYPE &lhs, const TYPE &rhs) const
| Simply calls operator==.

## Detailed Description

### template<class TYPE>
class ACE_Equal_To< TYPE >

Function object for comparing two objects of the given type for equality.

## Member Function Documentation

template<class TYPE>
ACE_INLINE bool ACE_Equal_To< TYPE >::operator() | ( | const TYPE & | lhs,
|  | const TYPE & | rhs
| ) | const

| Simply calls operator==.

The documentation for this class was generated from the following files:

- Functor_T.h
- Functor_T.inl